=== debian/changelog ===
dtkbluetooth (1.0.1) unstable; urgency=medium

  * Release 1.0.1

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 11 May 2023 15:34:48 +0800

dtkbluetooth (1.0.0) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 01 Jul 2022 14:29:07 +0800
