=== debian/control ===
Source: dtkbluetooth
Section: libdevel
Priority: optional
Maintainer: Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 libdtkcore-dev,
 qhelpgenerator-qt5 | qttools5-dev-tools,
 qtbase5-dev,
 doxygen,
 graphviz,
 qtconnectivity5-dev
Standards-Version: 4.5.0

Package: libdtkbluetooth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Deepin Tool Kit: bluetooth library
 libdtkbluetooth is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtkbluetooth-dev
Architecture: any
Depends:${misc:Depends}, libdtktemplate( =${binary:Version})
Description: Deepin Tool Kit: bluetooth devel library
 libdtkbluetooth-dev is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries.
